﻿open System
open CS334
open Parser
open System.IO

[<EntryPoint>]
let main argv =
    if (Array.length argv) <> 1 then
        printfn "Usage: dotnet run <input file>"
        exit 1
    
    let f = argv.[0]
    let input = File.ReadAllText f

    match run input with
    | Ran v ->
        printfn "%d" v
        0
    | Fail err ->
        printfn "ERROR: %s" err
        1
